org.apache.fontbox.cff

## Class CharStringCommand

- java.lang.Object
- - org.apache.fontbox.cff.CharStringCommand

    public class CharStringCommand
    extends Object

This class represents a CharStringCommand.

Author:
  Villu Ruusmann

### Nested Class Summary

Nested Classes
`static class` `CharStringCommand.Key` A static class to hold one or more int values as key.

### Field Summary

Fields
`static Map<CharStringCommand.Key,String>` `TYPE1_VOCABULARY` A map with the Type1 vocabulary.
`static Map<CharStringCommand.Key,String>` `TYPE2_VOCABULARY` A map with the Type2 vocabulary.

### Constructor Summary

Constructors
Constructor and Description
`CharStringCommand(int b0)` Constructor with one value.
`CharStringCommand(int[] values)` Constructor with an array as values.
`CharStringCommand(int b0, int b1)` Constructor with two values.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`CharStringCommand.Key` `getKey()` The key of the CharStringCommand.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE1_VOCABULARY

    public static final Map<CharStringCommand.Key,String> TYPE1_VOCABULARY

A map with the Type1 vocabulary.

#### TYPE2_VOCABULARY

    public static final Map<CharStringCommand.Key,String> TYPE2_VOCABULARY

A map with the Type2 vocabulary.

### Constructor Detail

#### CharStringCommand

    public CharStringCommand(int b0)

Constructor with one value.

Parameters:
  `b0` - value

#### CharStringCommand

    public CharStringCommand(int b0,
                             int b1)

Constructor with two values.

Parameters:
  `b0` - value1
  `b1` - value2

#### CharStringCommand

    public CharStringCommand(int[] values)

Constructor with an array as values.

Parameters:
  `values` - array of values

### Method Detail

#### getKey

    public CharStringCommand.Key getKey()

The key of the CharStringCommand.

Returns:
  the key

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`